#!/bin/sh

#----------------------------------
#check if feed is added
FeedURL='http://20.225.223.78'
FeedName='S2Labs'

echo "Verifying Feed configuration..."

/usr/bin/opkg-feed list | grep -q $FeedURL
if [ "$?" = "0" ]
then
	echo "Feed configuration exists..."

else
	echo "Feed configuration file does not exist..."
	echo "Adding Feed configuration..."
	/usr/bin/opkg-feed add $FeedName --uri=$FeedURL --trusted=1
	echo "Updating package feeds..."
	sudo /usr/bin/opkg update
	
fi


